mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.Guid("00020404-0000-0000-c000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For more information about the IEnumVARIANT interface, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Manages the definition of the IEnumVARIANT interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.IEnumVARIANT

  For more information about IEnumVARIANT::Clone, see the MSDN Library.

  Creates a new enumerator that contains the same enumeration state as the current one.

  An reference to the newly created enumerator.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  For more information about IEnumVARIANT::Next, see the MSDN Library.

  Retrieves a specified number of items in the enumeration sequence.

  S_OK if the parameter equals the parameter; otherwise, S_FALSE.

  The number of elements to return in . When this method returns, contains a reference to the enumerated elements. This parameter is passed uninitialized. When this method returns, contains a reference to the actual number of elements enumerated in .
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information about IEnumVARIANT::Reset, see the MSDN Library.

  Resets the enumeration sequence to the beginning.

  An HRESULT with the value S_OK.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  For more information about IEnumVARIANT::Skip, see the MSDN Library.

  Skips a specified number of items in the enumeration sequence.

  S_OK if the number of elements skipped equals parameter; otherwise, S_FALSE.

  The number of elements to skip in the enumeration.